# Uses of Interface
org.opensaml.xmlsec.signature.DigestMethod

Packages that use DigestMethod
Package
Description
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of DigestMethod in org.opensaml.xmlsec.agreement.impl

Methods in org.opensaml.xmlsec.agreement.impl with parameters of type DigestMethod
Modifier and Type
Method
Description
`static DigestMethod`
DigestMethod.`fromXMLObject(DigestMethod xmlObject)`
Create and initialize a new instance from the specified `XMLObject`.

## Uses of DigestMethod in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return DigestMethod
Modifier and Type
Method
Description
`DigestMethod`
ConcatKDFParams.`getDigestMethod()`
Gets the digest method.
Methods in org.opensaml.xmlsec.encryption with parameters of type DigestMethod
Modifier and Type
Method
Description
`void`
ConcatKDFParams.`setDigestMethod(DigestMethod digestMethod)`
Sets the digest method.

## Uses of DigestMethod in org.opensaml.xmlsec.encryption.impl

Fields in org.opensaml.xmlsec.encryption.impl declared as DigestMethod
Modifier and Type
Field
Description
`private DigestMethod`
ConcatKDFParamsImpl.`digestMethod`
DigestMethod.
Methods in org.opensaml.xmlsec.encryption.impl that return DigestMethod
Modifier and Type
Method
Description
`DigestMethod`
ConcatKDFParamsImpl.`getDigestMethod()`
Gets the digest method.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type DigestMethod
Modifier and Type
Method
Description
`void`
ConcatKDFParamsImpl.`setDigestMethod(DigestMethod newDigestMethod)`
Sets the digest method.

## Uses of DigestMethod in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement DigestMethod
Modifier and Type
Class
Description
`class`
`DigestMethodImpl`
Concrete implementation of `DigestMethod`.
Methods in org.opensaml.xmlsec.signature.impl that return DigestMethod
Modifier and Type
Method
Description
`DigestMethod`
DigestMethodBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`DigestMethod`
DigestMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.